Subject: Re: bug#23223: 25.0.92; Can xref-find-references be sped up?

From: Dmitry Gutov <[email-masked]>
Date: Tue, 12 Apr 2016 23:26:13 +0300

On 04/12/2016 10:16 PM, Eli Zaretskii wrote:

> The same search, immediately repeated from the same directory.  More
> accurately, the first time I invoke xref-find-references in the
> top-level directory of the Emacs repository, I get 980 matches;
> thereafter, all the subsequent searches from the same Emacs session
> yield 1128 matches.  This is with the ID database present in the
> top-level directory.

In the same scenario, I consistently get 1076 matches (on a GNU/Linux 
system): https://asciinema.org/a/69fdwo7os38fxu01e4fcwftwv

> All the searches are done from *scratch* in "emacs -Q".

The screencast above starts from Dired, but it's the same if I start 
from *scratch*.

> Let me know if I can provide more info.

Could you compare the lists of matches you get? E.g. C-x C-s on the xref 
buffer in both cases, and then diff the results.